/** 
 * @file style-default.css
 * @brief Handles styling of the main hotwire code.
 * Used for screen and print.
 * Part of Hotwire http://hotwire.sourceforge.net/ .
 * @author Frank Lee
 */

body {
  font-family: Verdana, Helvetica, sans-serif;
  font-size: small;
  margin: 5px;
  padding: 0px; 
}

h2 {
  font-family: Verdana, Helvetica, sans-serif;
  font-size: small;
  margin-bottom: 0px;
  margin-top: 5px;
}

HR {
  border: 0px;
  color: DarkGray;
  background-color: DarkGray;
  height: 1px;
  width: 100%;
  text-align: center;
}

select.multi_s {
  min-width: 250px;
  max-width: 300px;
}

select.multi_a {
  min-width: 150px;
  max-width: 300px;
  cursor: pointer;
  /* As soon as opacity goes in,  */
  /* the box goes above the pop-out menu */
  /* opacity: 0.9;*/
}

img {
  border: none;
}

input.blend {
  background-color: #e5e5ff;
}

button.sml {
  font-size: 90%;
}

button.multiselect {
  border: 1px solid DarkGray;
  width: 16px;
  height: 16px;
  cursor: pointer;
}

input.btn {
  background: #e5e5ff;
  border: 1px solid DarkGray;
  height: 22px;
}

input.btn:hover {
  background: #cbcbff;
}

td {
  padding-left: 5px;
  /* Removed - RFL 2012-03-29 max-width: 30px; */
}

td.space_l {
  width: 180px;
}

td.space_r {
  width: 50px;
}

td.multi_l {
  padding: 0px;
  text-align: left;
  width: 100px;
}

td.multi_m {
  padding: 0px;
  width: 16px;
  text-align: left;
  vertical-align: top;
}

td.navControl {
  max-width: 330px;
}

td.multi_r {
  padding: 0px;
  text-align: left;
  vertical-align: top;
}

input.int4 {
  width: 50px;  
}

input.varchar {
  width: 200px;  
}

input.date {
  width: 80px;
}

input.navSearch {
  width: 70px;
}

table { 
  border-collapse: collapse;
  border: none;
}

table.pad { 
  border: 1px solid DarkGray;
  padding: 10px 10px;
  font-size: small;
  table-layout: fixed;
  background: #e5e5ff;
}

table.news { 
  border: none;
  padding: 10px 10px;
  table-layout: fixed;
}

table.navbar {
  color: black;
  height: 35px;
  width: 100%;
  border: 1px solid DarkGray;
  /*border-collapse: collapse;*/
  font-size: x-small;
  font-weight: normal;
  /* table-layout: fixed; */
  background-color: #dcdcdc;
  text-align: left;
  vertical-align: middle;
}

table.menu {
  margin: 0px;
  text-align: left;
  background-color: #dcdcdc;
  border: 1px solid DarkGrey;
  border-collapse: collapse;
  font-size: x-small;
  font-weight: normal;
}

tr.inactive {
  background-color: white;
}

tr.active {
  background-color: white;
}

tr.active:hover {
  background-color: #e5e5ff;
  color: #4444bb;
  cursor: pointer;
}

tr.active a {
  display: block;
  padding: 3px 5px;
}

td.navItem {
  padding: 2px;
}

tr.tableSpacer {
  display: none;
}

/*td.navItemHover {
  padding: 5px;
  color: #ffffff;
  background-color: #999999;
  border: 1px solid DarkGray;
}*/

td.navStatus {
  width: 150px;
  padding: 5px; 
  color: black;
  text-align: right;
  border: 1px solid DarkGray;
}

td.navStatusSuccess {
  width: 150px;
  padding: 5px;
  color: black;
  background-color: #ccffcc;
  border: 1px solid DarkGray;
}

td.navStatusFail {
  width: 150px;
  padding: 5px;
  color: black;
  background-color: #ffcccc;
  border: 1px solid DarkGray;
}

tr.menuItem {
  color: black;
  text-decoration: none;
  background-color: #dcdcdc;
  cursor: pointer;
  white-space: nowrap;
  /*border-top: 1px solid #dcdcdc;
  border-bottom: 1px solid #dcdcdc; wobbly */
}

tr.menuItem:hover {
  background-color: #cbcbff;
  /*border-top: 1px solid DarkGrey; 
  border-bottom: 1px solid DarkGrey; wobbly */
}

td.menuItem {
  margin: 0px;
  padding: 0px;
  cursor: pointer;
}

td.menuItem:hover {
  background-color: #cbcbff;
}

td.menuSub {
  vertical-align: top;
  padding: 0px;
}

table.results td{
  border: 1px solid #dcdcdc;
  border-spacing: 0px;
  padding: 3px 5px;
  font-weight: normal;
  font-size: x-small;
  /*width: 100%;*/
  overflow: hidden;
  white-space: nowrap;
  /*cursor: pointer;*/
}

/* Set padding to zero, use padding on enclosed A element */
 
tr.active td {
  padding: 0px;
}


td.subview {
  border: 1px solid #dcdcdc;
  border-spacing: 0px;
  /*padding: 3px 5px;*/
  font-weight: normal;
  font-size: x-small;
  /*width: 100%;*/
  overflow: hidden;
  white-space: nowrap;
  /*cursor: pointer;*/
  padding: 0px;
}

td.report {
  border: 1px solid #ededed;
  border-spacing: 0px;
  padding: 3px 5px;
  font-weight: normal;
  font-size: x-small;
  /*width: 100%;*/
  overflow: auto;
  /*white-space: nowrap; */
}

div.debug {
  font-size: x-small;
  font-weight: normal;
  color: blue;
}

div.data {
  font-size: x-small;
  font-weight: normal;
  color: SlateBlue;
}

span.banner {
  padding: 10px;
  height: 40px;
  width: 600px;
  /* text-align: top; BRK */
  vertical-align: top;
  /*background-image:url('../images/banner.jpg');*/
  background-repeat:no-repeat;
  background-position:left;
  letter-spacing: 5px;
  font-size: large;
}

TD.info {
  border: 1px solid #dcdcdc;
  padding: 3px 5px;
  font-size: x-small;
  font-weight: normal;
  text-align: center;
  background: #d0d0ff;
}

TD.error {
  border: 1px solid #dcdcdc;
  padding: 3px 5px;
  font-size: x-small;
  font-weight: normal;
  background: #ffbbbb;
}

td.pad {
  padding: 5px 5px;
  font-size: smaller;
  overflow: hidden;
  white-space: nowrap;
}

td.padr {
  padding: 5px 5px;
  text-align: right;
  font-size: smaller;
  overflow: hidden;
  white-space: nowrap;
}

td.news {
  padding: 50px 10px;
  font-size: smaller;
}

td.tpad {
  padding: 9px 5px;
  font-size: x-small;
  overflow: hidden;
}

td.tpad_rt {
  padding: 9px 5px;
  overflow: hidden;
  font-size: x-small;
  vertical-align: top;
  text-align: right;
}

TD.collapse {
  padding: 0px;
}

TD.ipad {
  padding: 5px 10px;
}

TD.top {
  height: 50px;
  padding: 9px 5px 3px 10px;
  font-size: x-small;
}

TD.bottom {
  padding: 3px 5px;
  font-size: x-small;
  vertical-align: top;
}

th, caption {
  /*border: 1px solid DarkGray;*/
  background: #c0c0c0;
  font-weight: normal;
  font-size: x-small;
  text-align: center;
  vertical-align: middle;
  padding: 5px 5px;
  /* height: 10px;*/
  /* width: 100%; */
  overflow: hidden;
}

thead {
  /* display: fixed; BRK*/
  top: 0px;
}

th.subview, th.inactive {
  border: 1px solid DarkGray;
}

th.view, th.report {
  border: 1px solid DarkGray;
  cursor: pointer;
}

th.view:hover, th.report:hover {
  background-color: #cbcbff;
}

th.padl {
  padding: 5px 10px;
  border-top: 1px solid DarkGray;
  border-left: 1px solid DarkGray;
  border-bottom: 1px solid DarkGray;
  background: #c0c0c0;
  text-align: left;
  vertical-align: middle;
  height: 20px;
}

th.padc {
  padding: 5px;
  border-top: 1px solid DarkGray;
  border-bottom: 1px solid DarkGray;
  border-right: 1px solid DarkGray;
  background: #c0c0c0;
  text-align: right;
  vertical-align: middle;
  height: 20px;
}

th.padr {
  padding: 5px 10px;
  border-top: 1px solid DarkGray;
  border-right: 1px solid DarkGray;
  border-bottom: 1px solid DarkGray;
  background: #c0c0c0;
  text-align: right;
  vertical-align: middle;
  height: 20px;
}

IMG {
  border: none;
}

IMG.photo {
  border: 1px solid Gray;
}

a:link {
  text-decoration: none;
  color: black;
}

a:visited {
  text-decoration: none;
  color: black;
}

a:hover {
  text-decoration: underline;
}

a:active {
  text-decoration: none;
}

span {
  display: inline;
}

span.titlelarge {
  letter-spacing: 5px;
  font-size: x-large;
}

span.label {
  padding: 3px;
  color: black;
  font-size: x-small;
}

span.labelHover {
  padding: 3px;
  background-color: #d0d0ff;
  border: 1px solid DarkGray;
}

span.titlesmall {
  letter-spacing: 3px;
  font-size: small;
}

textarea {
  font-family: monospace;
  font-size: x-small;
  overflow: auto;
  white-space: nowrap;
  max-width: 100%;
  min-width: 40em;
  height: 90px;
}

div.message {
  color: black;
  border: 1px solid DarkGray;
  border-collapse: collapse;
  font-size: x-small;
  font-weight: normal;
  /* table-layout: fixed; */
  background-color: #dcdcdc;
  text-align: left;
  vertical-align: middle;
}

div.menuHeader {
  padding: 0px;
  margin: 0px;
  position: static;
  cursor: pointer;
}

div.menuExpander {
  padding: 0px;
  margin: 0px;
  display: none;
  position: static;
  cursor: pointer;
}

div.menuExpanderHover {
  margin: 0px;
  display: inline;
  position: absolute;
  opacity: 0.9;
}

div.navItem, div.viewNavItem {
  margin: 0px;
  padding: 7px 5px;
}

span.viewNavSearch {
  margin: 0px;
  padding: 7px 2px;
  white-space: nowrap;
}

span.reportNavSearch {
  margin: 0px;
  padding: 7px 2px;
  display: none;
}

div.menuHeader {
  margin: 5px;
  overflow: hidden;
  white-space: nowrap;
}

div.menuHeaderHover {
  margin: 5px;
  /*background-color: #d0d0ff;*/
  overflow: hidden;
  white-space: nowrap;
}

div.navTitle {
  padding: 5px;
  font-weight: bold;
  margin: 0px;
  cursor: pointer;
}

div.reportNavItem {
  margin: 0px;
  padding: 7px 5px;
  /*display: none;*/
}

div.navItem:hover { 
  padding: 5px 4px;
  background-color: #d0d0ff;
  border: 1px solid DarkGray;
  cursor: pointer;
}

div.multiHidden {
  display: none;
}

div.multiVisible {
  display: inline;
  position: absolute;
}

.ui-datepicker { 
  margin-left: 87px;
  margin-top: -30px;
}

ul.view {
  background-color: green;
}

td.subview a.subviewjump  {
 display:block;
 padding: 5px;
}

td.subview a.subviewjump:hover {
 text-decoration:none;
}

a.bookmark {
 text-decoration:underline;
 color: blue;
}

div#pageTitle {
 display:none;
}

/* Banners */
div.banners {
  margin-top: 10px;
  margin-left: 10px;
  background-color: red;
  clear:both;
}

div.bannerleft {
 float: left;
}
div.bannertitle {
  letter-spacing: 5px;
  font-size: large;
  display:inline;
  margin-left: 30px;
  position: relative;
  top: -2ex;
}

div.bannerright {
 float: right;
 position: relative;
 top: 2ex;
 font-size: smaller;
}

div.bannerright a {
 color: blue;
 text-decoration: underline;
}

/* Clear the width under the title */
div.clearwidth {
  clear:both;
}

/* MenuList */


#menu {
width: 99%;
background: #dcdcdc;
float: left;
padding: 5px;
}


#menu a, #menu h2 {
font-weight: bold;
/* 11px/16px arial, helvetica, sans-serif;*/
cursor: pointer;
display: block;
/*border: 1px solid #bbb;*/
margin: 0;
/*padding: 2px 3px;*/
}

div#menu ul {
 font-size: small;
 list-style: none;
 margin: 0;
 /*padding: 0px 2px;*/
 padding: 0px 5px;
 float: left;
 display: inline;
 border: 1px solid Darkgray;
 margin: 0px 2px;
 font-weight:normal;
}

div.results {
 display:block;
 font-weight: bold;
 background-color: DarkGray;
 padding: 3px;
 border: 1px solid Black;
 text-align: center;
}

ul.menutopinactive {
 list-style-type: none;
 padding:2px;
 margin:0;
 border: 1px solid Gray;
}

ul.menutop {
 list-style-type: none;
 padding:2px;
 margin:0;
 border: 1px solid Gray;
 cursor:pointer;
}


ul.menutop li {
 /*font: bold 11px/16px arial, helvetica, sans-serif;*/
 /*font-weight: bold;*/
 font-size: small;
 margin:0px;
 padding: 0px 15px 0px 15px;
 float:left;
 position:relative;
 opacity:0.9;
 border:none;
}

/* First-level menus */

/* Will look like this when it appear */
/*ul.menu {
 padding:none;
 border: none;
}*/

ul.menu li {
 display:none;
 border:none;
}

div#menu ul.menutop li ul.menu {
 display:none;
 border:none;
}

div#menu ul.menutop li:hover ul.menu , div#menu ul.menutop li.show ul.menu {
 margin: 0px;
 padding: 0px 0px 0px 5px;
 position:absolute;
 top: 100%;
 left: 0px;
 background-color: #dcdcdc;
 display:block;
 border: 1px solid DarkGray;
 /*z-index: 9;*/
 line-height:100%;
}

div#menu ul.menutop li.with-js ul.menu {
 display:none !important;
}

div#menu ul.menutop li:hover ul.menu li, div#menu ul.menutop li.show ul.menu li {
 line-height:100%;
 display:block;
 width:100%;
 margin:0px 0px 0px 0px;
 padding:5px 0px 5px 0px;
 white-space:nowrap
}

div#menu ul.menu li:hover {
 background-color: #cbcbff;
}

div#menu ul.menu li.with-js ul {
 display: none !important;
}

/* Second-level menus */
div#menu ul.menutop li ul.menu li ul.menu {
 display:none;
}

div#menu ul.menutop li ul.menu li ul.menu li {
 display:none;
 border: none;
}

div#menu ul.menutop li ul.menu li:hover ul.menu, div#menu ul.menutop li ul.menu li.show ul.menu {
 display:block;
 border: 1px solid DarkGray;
 position:absolute;
 left:100%;
 top:-10px;
 padding: 10px 2px 10px 5px;
 margin:0px;
}

div#menu ul.menutop li ul.menu li:hover ul.menu li, div#menu ul.menutop li ul.menu li.show ul.menu li {
 display:block;
}

div#menu ul.menutop li ul.menu li.with-js ul.menu {
 display:none;
}

div#menu ul li {
 line-height: 300%;
}

div.right {
  float: right;
}

div#editheadercontainer {
 width: 100%;
 background-color: #e5e5ff;
}

div#editheader {
 margin-left: 185px;
 margin-right: 55px;
 margin-top: 0px;
 background-color: #c0c0c0;
 padding: 5px;
 border: 1px solid DarkGray;
}

div#editheader div {
 display: inline;
}

div#editheader div.left {
 float: left;
 letter-spacing: 3px;
}

div#editheader div.right {
 float: right;
}

div#editheader div.centre {
 position: relative;
 left: 30%;
}

td.leftwidth {
 width:180px;
}

td.editheadercontainer {
 padding-top: 0px;
}

input.readonly {
 background: #f2f2f2;
}


/* formatting for results 'table' */

div.recordkey {
 float: left;
 width: 30%;
 text-align: right;
 margin-top: 0.5ex;
}

div.recordvalue {
 float: right;
 width: 70%;
 text-align: left;
}

div.resultstable {
 display:block;
 background: none repeat scroll 0 0 #E5E5FF;
}

div.resultstablechanged {
 display:block;
 background: none repeat scroll 0 0 #FFB2B2;
}

div.tableResults div.clearwidth {
 padding-top: 4px;
}

div.tableHeader {
 background-color: DarkGray;
 display: block;
 padding-top: 1em;
 padding-bottom: 1em;
 margin-left: 30%;
 margin-right: 3em;
}

div.tableFooter {
 margin-top: 3em;
 margin-right: 3em;
 clear:both;
 background-color: DarkGray;
 display: block;
 padding-top: 1em;
 padding-bottom: 1em;
 padding-right: 1em;
 margin-left: 30%;
 text-align: right;
}

div.tableTitle {
 float: left;
 padding-left: 1em; 
 font-size: small;
 letter-spacing: 3px;
 clear: left;
 margin-right: 3em;
}

div.tableActions {
 float:right;
 padding: 3px;
 
}

div.tableActions form {
 margin-left: 6em;
 display: inline;
}

/* Search 'table' */
div.searchtable {
 display:block;
 background: none repeat scroll 0 0 #E5E5FF;
}

div.searchkey {
 float: left;
 width: 30%;
 text-align: right;
}

div.searchvalue {
 text-align: left;
 float:left;
}

div.searchopts {
 float: right;
 text-align: right;
 /*margin-right:20%;*/
/* width: 30%;*/
}

select.multiselect {
 width: 60%;
}

/* Search - hiding */
div.display {
 display: inline;
}

/* dbList */
div.resulttable th {
 cursor: pointer;
}

/* Sorting at the top of a table */
/* Having display: block here makes email links get very tall */
div.resulttable a {
 display: block;
 /*display: inline; */
}

div.resulttable a.mailto {
 display: inline;
 float: right;
}


input.pseudodd {
 background-image: url('../images/fake-dropdown.png');
 background-repeat: no-repeat;
 background-position: right top;
 /*background: gray left url(images/fake-dropdown.png) no-repeat;*/
 
}

option.blank {
 font-style: italic;
}

#menu div.navbuttons a.navbuttons {
 background-color: #e5e5ff;
 display: inline;
 padding: 3px;
 padding-left: 5px;
 padding-right: 5px;
 border: 1px solid darkGray;
 margin-left: 2px;
 margin-right: 2px;
}

#menu div.navbuttons span.navbuttons {
 background-color: #e5e5ff;
 display: inline;
 padding: 3px;
 padding-left: 5px;
 padding-right: 5px;
 border: 1px solid darkGray;
 margin-left: 2px;
 margin-right: 2px;
}
